package com.realnet.x2-b.Services;
import com.realnet.x2-b.Repository.Hhh442Repository;
import com.realnet.x2-b.Entity.Hhh442
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class Hhh442Service {
@Autowired
private Hhh442Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Hhh442 Savedata(Hhh442 data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Hhh442 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Hhh442> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Hhh442> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Hhh442> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Hhh442 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Hhh442 update(Hhh442 data,Integer id) {
	Hhh442 old = Repository.findById(id).get();
old.setGgg(data.getGgg());

old.setGggg(data.getGggg());

final Hhh442 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
